<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/get_system_aim_attributes_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>01/24/83  get_system_aim_attributes_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in get_system_aim_attributes_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: get_system_aim_attributes_: 01/19/83  get_system_aim_attributes_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: returns a structure describing the AIM attributes
<span id="L12" class="LineNr">12 </span>defined on this system.
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Syntax:
<span id="L16" class="LineNr">16 </span>declare get_system_aim_attributes_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L17" class="LineNr">17 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr">18 </span>call get_system_aim_attributes_ <span class="textRainbow_lv0_p0">(</span>area_ptr<span class="textRainbow_lv0_o0">,</span> version_wanted<span class="textRainbow_lv0_o0">,</span>
<span id="L19" class="LineNr">19 </span>     aim_attributes_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>Arguments:
<span id="L23" class="LineNr">23 </span>area_ptr
<span id="L24" class="LineNr">24 </span>   is a pointer to an area in which the aim_attributes structure is
<span id="L25" class="LineNr">25 </span>   allocated.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>version_wanted
<span id="L27" class="LineNr">27 </span>   is the version of the structure that the caller expects
<span id="L28" class="LineNr">28 </span>   get_system_aim_attributes_ to return.  The only supported version at
<span id="L29" class="LineNr">29 </span>   present is given by the value of the named constant
<span id="L30" class="LineNr">30 </span>   AIM_ATTRIBUTES_VERSION_1 defined in the system include file
<span id="L31" class="LineNr">31 </span>   aim_attributes.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>aim_attributes_ptr
<span id="L33" class="LineNr">33 </span>   is set to locate the aim_attributes structure allocated by this
<span id="L34" class="LineNr">34 </span>   program.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>code
<span id="L38" class="LineNr">38 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be one of the
<span id="L39" class="LineNr">39 </span>   following:
<span id="L40" class="LineNr">40 </span>   0
<span id="L41" class="LineNr">41 </span>      the aim_attributes structure was successfully allocated.
<span id="L42" class="LineNr">42 </span>   error_table_$unimplemented_version
<span id="L43" class="LineNr">43 </span>      the version of the structure requested by the caller is not
<span id="L44" class="LineNr">44 </span>      implemented by get_system_aim_attributes_.
<span id="L45" class="LineNr">45 </span>   error_table_$noalloc
<span id="L46" class="LineNr">46 </span>      there was not sufficient room in the caller's area to allocate
<span id="L47" class="LineNr">47 </span>      the aim_attributes structure.
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>Notes: The aim_attributes structure is defined in the system include file
<span id="L51" class="LineNr">51 </span>aim_attributes.incl.pl1 and has the following format:
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>   dcl 1 aim_attributes           aligned based,
<span id="L54" class="LineNr">54 </span>         2 version                char<span class="textRainbow_lv0_p0">(</span>8<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L55" class="LineNr">55 </span>         2 access_class_ceiling   bit<span class="textRainbow_lv0_p0">(</span>72<span class="textRainbow_lv0_p0">)</span>,
<span id="L56" class="LineNr">56 </span>         2 levels <span class="textRainbow_lv0_p0">(</span>0 : 7<span class="textRainbow_lv0_p0">)</span>,
<span id="L57" class="LineNr">57 </span>           3 long_name            char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L58" class="LineNr">58 </span>           3 short_name           char<span class="textRainbow_lv0_p0">(</span>8<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L59" class="LineNr">59 </span>         2 categories <span class="textRainbow_lv0_p0">(</span>18<span class="textRainbow_lv0_p0">)</span>,
<span id="L60" class="LineNr">60 </span>           3 long_name            char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L61" class="LineNr">61 </span>           3 short_name           char<span class="textRainbow_lv0_p0">(</span>8<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L62" class="LineNr">62 </span>
<span id="L63" class="LineNr">63 </span>
<span id="L64" class="LineNr">64 </span>Structure elements:
<span id="L65" class="LineNr">65 </span>   version
<span id="L66" class="LineNr">66 </span>      is the version of this structure <span class="textRainbow_lv0_p0">(</span>currently
<span id="L67" class="LineNr">67 </span>      AIM_ATTRIBUTES_VERSION_1<span class="textRainbow_lv0_p0">)</span>.
<span id="L68" class="LineNr">68 </span>   access_class_ceiling
<span id="L69" class="LineNr">69 </span>      is the maximum authorization or access class in terms of the AIM
<span id="L70" class="LineNr">70 </span>      attributes.
<span id="L71" class="LineNr">71 </span>   levels
<span id="L72" class="LineNr">72 </span>      are the sensitivity levels defined on this system.  Only the
<span id="L73" class="LineNr">73 </span>      entries from levels<span class="textRainbow_lv0_p0">(</span>0<span class="textRainbow_lv0_p0">)</span> through levels<span class="textRainbow_lv0_p0">(</span>highest_level<span class="textRainbow_lv0_p0">)</span> contain
<span id="L74" class="LineNr">74 </span>      definitions.  The remaining entries are all blank.
<span id="L75" class="LineNr">75 </span>      long_name
<span id="L76" class="LineNr">76 </span>         is the long name of this sensitivity level.
<span id="L77" class="LineNr">77 </span>      short_name
<span id="L78" class="LineNr">78 </span>         is the short name of this sensitivity level.
<span id="L79" class="LineNr">79 </span>
<span id="L80" class="LineNr">80 </span>
<span id="L81" class="LineNr">81 </span>   categories
<span id="L82" class="LineNr">82 </span>      are the access categories defined on this system.  Only the first
<span id="L83" class="LineNr">83 </span>      n_categories entries of this substructure contain definitions.
<span id="L84" class="LineNr">84 </span>      The remaining entries are all blank.
<span id="L85" class="LineNr">85 </span>      long_name
<span id="L86" class="LineNr">86 </span>         is the long name of this sensitivity level.
<span id="L87" class="LineNr">87 </span>      short_name
<span id="L88" class="LineNr">88 </span>         is the short name of this sensitivity level.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
